CREATE procedure [C6StagingPeriodico].[RP_ST_InfoCliente_pre_selective]
AS
BEGIN
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_InfoCliente_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_InfoCliente
	insert into C6StagingPeriodico.RP_InfoCliente
	--select * into C6StagingPeriodico.RP_Cliente from [CONSEVO].consulenzaUnica.dbo.Cliente
	select 
	[chiaveClientePB]
      ,[chiaveCliente]
      ,[codFis]
      ,[pIva]
      ,[codMan]
      ,[NomeCliente]
      --,[CognomeCliente]
      ,SUBSTRING([CognomeCliente], 1, 50) -- TOPPA INSERITA PERCHé MODIFCA NON COMUNICATA A REPORTISTA BATCH per errore staging_f1_main in data 08/07/2015
      ,[tipologia]
      ,[dtScadQuest]
      ,[profilo]
      ,[dtQuestionario]
      ,[frequenza]
      ,[Agente]
      ,[NomePb]
      ,[CognomePb]
      ,[StatoPb]
      ,[rete]
      ,[codiceContratto]
      ,[StatoContratto]
      ,[dtFirmaBase]
      ,[dtEndBase]
      ,[dtFirmaSei]
      ,[dtEndSei]
      ,[rendicSemestrale]
      ,[dtNascita]
      ,[sesso]
      ,[TipContratto]
      ,[ModPagamento]
      ,[chiavePB]
      ,[flagrol]
       from [CONSUNI_PERIODICO].consulenzaUnica.dbo.vInfoCliente
	   --EN20160428: clienti di tipologia catastali non sono presenti sul sistema
	   --            sistema SEI e quindi da escludere ma quelli con tipologia NULL
	   --            son da includere. (senza modifica per FF@9133 non viene caricata l'anagrafica)  
       --where tipologia != 'c'
	   where ISNULL(tipologia,'') != 'c'
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_InfoCliente_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_InfoCliente_pre_selective'
		)
END